Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 489)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 490)
@@ -12,22 +12,74 @@
 
 [Modules]
-Module0=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module1=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module2=c:\program files\borland\delphi7\source\vcl\Forms.pas
-Module3=c:\program files\borland\delphi7\source\vcl\Controls.pas
-Module4=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module5=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Module6=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
-Module7=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
-Module8=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-Module9=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-Module10=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
-Module11=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-Module12=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
-Module13=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
-Count=14
+Module0=c:\program files\borland\delphi7\source\vcl\Forms.pas
+Module1=P:\vista\tmg-cprs\CPRSChart.ini
+Module2=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module3=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+Module4=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
+Module5=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
+Module6=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Module7=c:\program files\borland\delphi7\source\rtl\Win\Messages.pas
+Module8=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+Module9=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module10=c:\program files\borland\delphi7\source\rtl\common\classes.pas
+Module11=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
+Module12=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
+Module13=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
+Module14=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
+Module15=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
+Count=16
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[c:\program files\borland\delphi7\source\vcl\Forms.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRSChart.ini]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Win\Messages.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\vcl\Controls.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [c:\program files\borland\delphi7\source\rtl\common\classes.pas]
 ModuleType=SourceModule
@@ -35,25 +87,5 @@
 FormOnTop=0
 
-[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Forms.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Controls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
+[c:\program files\borland\delphi7\source\rtl\Win\Windows.pas]
 ModuleType=SourceModule
 FormState=0
@@ -65,17 +97,7 @@
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\rtl\Win\Windows.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
-ModuleType=SourceModule
-FormState=1
+[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
+ModuleType=SourceModule
+FormState=0
 FormOnTop=0
 
@@ -85,9 +107,4 @@
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas]
 ModuleType=SourceModule
@@ -95,9 +112,4 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
@@ -108,19 +120,19 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
+FormState=0
+FormOnTop=0
+
 [P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
 FormState=0
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
-FormState=0
-FormOnTop=0
-
 [EditWindow0]
-ViewCount=14
-CurrentView=10
+ViewCount=16
+CurrentView=12
 View0=0
 View1=1
@@ -137,4 +149,6 @@
 View12=12
 View13=13
+View14=14
+View15=15
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -142,11 +156,11 @@
 Visible=1
 State=0
-Left=271
-Top=128
-Width=719
+Left=212
+Top=132
+Width=780
 Height=588
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=711
+ClientWidth=772
 ClientHeight=554
 LeftPanelSize=0
@@ -154,20 +168,20 @@
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=0
+BottomPanelSize=187
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=00000400010000000B0000004D65737361676556696577C7020000000000000255000000000000000100000000000000000000000001000000000103000000000000010000000001030000000000000100000000C70200000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=0000040000000000040300000000000002BB000000000000000100000000000000000000000001000000000103000000000000010000000001030000000000000100000000C7020000000000000100000000040300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
 Module=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
 CursorX=1
-CursorY=351
-TopLine=334
+CursorY=12
+TopLine=1
 LeftCol=1
 
 [View1]
 Module=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-CursorX=17
-CursorY=572
-TopLine=553
+CursorX=15
+CursorY=1238
+TopLine=1225
 LeftCol=1
 
@@ -180,18 +194,25 @@
 
 [View3]
+Module=P:\vista\tmg-cprs\CPRSChart.ini
+CursorX=1
+CursorY=23
+TopLine=6
+LeftCol=1
+
+[View4]
 Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
 CursorX=1
-CursorY=454
-TopLine=451
-LeftCol=1
-
-[View4]
+CursorY=321
+TopLine=310
+LeftCol=1
+
+[View5]
 Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-CursorX=1
-CursorY=8638
-TopLine=8623
-LeftCol=1
-
-[View5]
+CursorX=25
+CursorY=8394
+TopLine=8380
+LeftCol=1
+
+[View6]
 Module=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
 CursorX=1
@@ -200,12 +221,12 @@
 LeftCol=1
 
-[View6]
+[View7]
 Module=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-CursorX=1
-CursorY=301
-TopLine=287
-LeftCol=1
-
-[View7]
+CursorX=29
+CursorY=123
+TopLine=115
+LeftCol=1
+
+[View8]
 Module=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
 CursorX=1
@@ -214,5 +235,5 @@
 LeftCol=1
 
-[View8]
+[View9]
 Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
 CursorX=1
@@ -221,26 +242,33 @@
 LeftCol=1
 
-[View9]
+[View10]
 Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
 CursorX=1
 CursorY=6369
-TopLine=6343
-LeftCol=1
-
-[View10]
+TopLine=6355
+LeftCol=1
+
+[View11]
 Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
 CursorX=1
-CursorY=5707
-TopLine=5693
-LeftCol=1
-
-[View11]
+CursorY=6351
+TopLine=6337
+LeftCol=1
+
+[View12]
 Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
-CursorX=29
-CursorY=6866
-TopLine=6858
-LeftCol=1
-
-[View12]
+CursorX=1
+CursorY=4781
+TopLine=4767
+LeftCol=1
+
+[View13]
+Module=c:\program files\borland\delphi7\source\rtl\Win\Messages.pas
+CursorX=1
+CursorY=13
+TopLine=28
+LeftCol=1
+
+[View14]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
 CursorX=1
@@ -249,5 +277,5 @@
 LeftCol=1
 
-[View13]
+[View15]
 Module=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
 CursorX=1
@@ -271,5 +299,5 @@
 
 [Watches]
-Count=9
+Count=10
 Watch0='Control',256,0,18,1,0,'Watches'
 Watch1='TabIndex',256,0,18,1,0,'Watches'
@@ -281,4 +309,5 @@
 Watch7='FOnException',8,0,18,1,0,'Watches'
 Watch8='E',16,0,18,1,0,'Watches'
+Watch9='actiontype',256,0,18,1,0,'Watches'
 
 [WatchWindow]
@@ -286,5 +315,5 @@
 WatchShowColumnHeaders=1
 Create=1
-Visible=1
+Visible=0
 State=0
 Left=26
@@ -301,12 +330,6 @@
 
 [Breakpoints]
-Count=7
-Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr',354,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint1='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas',942,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint2='c:\program files\borland\delphi7\source\vcl\Controls.pas',6243,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint3='c:\program files\borland\delphi7\source\vcl\Forms.pas',6998,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint4='c:\program files\borland\delphi7\source\vcl\Forms.pas',7000,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint5='c:\program files\borland\delphi7\source\vcl\Forms.pas',6982,'',0,1,'',1,0,0,'',1,'','',''
-Breakpoint6='P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas',606,'',0,1,'',1,0,0,'',1,'','',''
+Count=1
+Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas',944,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -362,6 +385,6 @@
 Visible=0
 State=0
-Left=3
-Top=199
+Left=287
+Top=137
 Width=800
 Height=561
@@ -405,5 +428,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=OnException
+SelectedItem=Name
 ExpandedItems=Anchors
 HiddenCategories=Legacy
@@ -433,8 +456,8 @@
 [CallStackWindow]
 Create=1
-Visible=1
-State=0
-Left=35
-Top=431
+Visible=0
+State=0
+Left=13
+Top=158
 Width=502
 Height=295
@@ -609,15 +632,15 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=12
 Top=0
-Width=699
-Height=85
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=699
-ClientHeight=85
-TBDockHeight=85
+Width=760
+Height=187
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=760
+ClientHeight=187
+TBDockHeight=187
 LRDockWidth=443
 Dockable=1