Index: cprs/branches/GUI-config/CPRS-Lib/ORCtrlLib60.dsk
===================================================================
--- cprs/branches/GUI-config/CPRS-Lib/ORCtrlLib60.dsk	(revision 476)
+++ cprs/branches/GUI-config/CPRS-Lib/ORCtrlLib60.dsk	(revision 492)
@@ -1,524 +1,32 @@
 [Closed Files]
-File_0=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Chart\rReminders.pas',0,1,305,1,305,0,0
-File_1=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Chart\Options\fOptionsPatientSelection.pas',0,1,169,28,172,1,0
-File_2=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Chart\rCore.pas',0,1,333,1,335,0,0
-File_3=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Chart\fNoteProps.pas',0,1,1,1,1,1,1
-File_4=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Chart\fDCSummProps.pas',0,1,1,1,1,1,1
-File_5=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Chart\fAddlSigners.pas',0,1,1,1,1,1,1
-File_6=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Lib\ORClasses.pas',0,1,1,1,1,0,0
-File_7=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Lib\ORCtrlsDsgn.pas',0,1,1,1,1,0,0
-File_8=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Lib\ORSystem.pas',0,1,1,1,1,0,0
-File_9=SourceModule,'C:\Vista\CPRS\OR_3_187V23\CPRS-Lib\ORFn.pas',0,1,1,1,1,0,0
+File_0=SourceModule,'D:\vista\cprs\OR_3_195V25\CPRS-Lib\uStaticText.pas',0,1,1,1,1,0,0
+File_1=SourceModule,'D:\vista\cprs\OR_3_195V25\CPRS-Chart\unit2.pas',0,1,1,1,11,0,0
+File_2=SourceModule,'D:\vista\cprs\main\CPRS-Chart\uSignItems.pas',0,1,1044,54,1060,0,0
+File_3=SourceModule,'D:\vista\cprs\OR_3_215V26\CPRS-Chart\uSignItems.pas',0,1,1044,54,1060,0,0
+File_4=SourceModule,'D:\vista\cprs\OR_3_215V26\CPRS-Chart\fReview.pas',0,1,1833,42,1841,1,0
+File_5=SourceModule,'D:\vista\cprs\main\CPRS-Chart\fReview.pas',0,1,1830,44,1857,1,0
+File_6=SourceModule,'D:\vista\cprs\OR_3_195V25\CPRS-Lib\ORCtrls.pas',0,1,1,63,30,0,0
+File_7=SourceModule,'C:\PROGRA~1\Vista\BDK32_~1\Source\wsockc.pas',0,1,1455,1,1477,0,0
+File_8=SourceModule,'D:\vista\cprs\OR_3_195V25\CPRS-Chart\VERGENCECONTEXTORLib_TLB.pas',0,1,564,1,586,0,0
 
 [Modules]
-Module0=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\Accessibility_TLB.pas
-Module1=c:\bcb\projects\personal projects\vista\cprs-1.0.23.15\cprs-lib\ORCtrlLib60.dpk
-Module2=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Lib\ORCtrls.pas
-Module3=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\wsockc.pas
-Module4=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcberr.pas
-Module5=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\fFrame.pas
-Module6=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\CPRSChart.dpr
-Module7=C:\BCB\Projects\Personal Projects\Vista\CPRS-Chart_Try #1\CPRSChart.dpr
-Module8=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\uComServ.pas
-Module9=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\uAccessibleListBox.pas
-Module10=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fSgnonDlg.pas
-Module11=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\SgnonCnf.pas
-Module12=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fESSOConf.pas
-Module13=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Loginfrm.pas
-Module14=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\AddServer.pas
-Module15=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcconf1.pas
-Module16=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcnet.pas
-Module17=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fConfirmMapping.pas
-Module18=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fRPCBErrMsg.pas
-Module19=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\VCEdit.pas
-Module20=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\SelDiv.pas
-Module21=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\RpcSLogin.pas
-Module22=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fDebugInfo.pas
-Module23=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fRPCBTimer.pas
-Module24=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\xuesap_TLB.pas
-Module25=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\APi.pas
-Module26=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\XWBRich20.pas
-Module27=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\frmSignonMessage.pas
-Module28=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\TRpcb.pas
-Module29=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Hash.pas
-Module30=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Mfunstr.pas
-Module31=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Xwbut1.pas
-Module32=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Lib\ORNet.pas
-Count=33
-EditWindowCount=1
-PackageWindowCount=2
-TypeLibWindowCount=1
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\Accessibility_TLB.pas]
-ModuleType=SourceModule
+Count=0
+EditWindowCount=0
+PackageWindowCount=1
+
+[P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrlLib60.dpk]
+FormState=0
+FormOnTop=1
+
+[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
 FormOnTop=0
 
-[c:\bcb\projects\personal projects\vista\cprs-1.0.23.15\cprs-lib\ORCtrlLib60.dpk]
-ModuleType=PackageEditModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Lib\ORCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcberr.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\CPRSChart.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-Chart_Try #1\CPRSChart.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\uComServ.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\uAccessibleListBox.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fSgnonDlg.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\SgnonCnf.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fESSOConf.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Loginfrm.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\AddServer.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcconf1.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcnet.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fConfirmMapping.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fRPCBErrMsg.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\VCEdit.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\SelDiv.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\RpcSLogin.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fDebugInfo.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fRPCBTimer.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\xuesap_TLB.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\APi.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\XWBRich20.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\frmSignonMessage.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\TRpcb.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Hash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Mfunstr.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Xwbut1.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Lib\ORNet.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\bcb\delphi\Lib\dclusr.dpk]
-FormState=0
-FormOnTop=1
-
-[C:\BCB\Delphi\Projects\ProjectGroup1.bpg]
-FormState=0
-FormOnTop=0
-
-[C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\CPRSChart.tlb]
-FormState=0
-FormOnTop=0
-
-[EditWindow0]
-ViewCount=33
-CurrentView=3
-View0=0
-View1=1
-View2=2
-View3=3
-View4=4
-View5=5
-View6=6
-View7=7
-View8=8
-View9=9
-View10=10
-View11=11
-View12=12
-View13=13
-View14=14
-View15=15
-View16=16
-View17=17
-View18=18
-View19=19
-View20=20
-View21=21
-View22=22
-View23=23
-View24=24
-View25=25
-View26=26
-View27=27
-View28=28
-View29=29
-View30=30
-View31=31
-View32=32
-CodeExplorer=CodeExplorer@EditWindow0
-MessageView=MessageView@EditWindow0
-Create=1
-Visible=1
-State=0
-Left=133
-Top=123
-Width=890
-Height=603
-MaxLeft=-4
-MaxTop=-4
-ClientWidth=882
-ClientHeight=569
-LeftPanelSize=0
-LeftPanelClients=CodeExplorer@EditWindow0
-LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
-RightPanelSize=0
-BottomPanelSize=190
-BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=0000040000000000720300000000000002BE00000000000000010000000000000000000000000100000000180200000000000001000000001802000000000000010000000018020000000000000100000000180200000000000001000000002402000000000000010000000024020000000000000100000000240200000000000001000000002402000000000000010000000024020000000000000100000000240200000000000001000000002402000000000000010000000024020000000000000100000000240200000000000001000000002402000000000000010000000024020000000000000100000000720300000B0000004D65737361676556696577FFFFFFFF
-
-[View0]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\CPRSChart.dpr
-CursorX=3
-CursorY=337
-TopLine=322
-LeftCol=1
-
-[View1]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\fFrame.pas
-CursorX=1
-CursorY=551
-TopLine=539
-LeftCol=1
-
-[View2]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-Chart_Try #1\CPRSChart.dpr
-CursorX=9
-CursorY=300
-TopLine=291
-LeftCol=1
-
-[View3]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\Accessibility_TLB.pas
-CursorX=1
-CursorY=287
-TopLine=278
-LeftCol=1
-
-[View4]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Lib\ORNet.pas
-CursorX=57
-CursorY=5
-TopLine=1
-LeftCol=1
-
-[View5]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\TRpcb.pas
-CursorX=3
-CursorY=333
-TopLine=320
-LeftCol=1
-
-[View6]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Loginfrm.pas
-CursorX=3
-CursorY=112
-TopLine=98
-LeftCol=1
-
-[View7]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fESSOConf.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View8]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcconf1.pas
-CursorX=6
-CursorY=64
-TopLine=51
-LeftCol=1
-
-[View9]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\AddServer.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View10]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcnet.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View11]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fConfirmMapping.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View12]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fRPCBErrMsg.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View13]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\VCEdit.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View14]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\RpcSLogin.pas
-CursorX=33
-CursorY=42
-TopLine=29
-LeftCol=1
-
-[View15]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\SelDiv.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View16]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fRPCBTimer.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View17]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\APi.pas
-CursorX=3
-CursorY=18
-TopLine=1
-LeftCol=1
-
-[View18]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\xuesap_TLB.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View19]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\frmSignonMessage.pas
-CursorX=32
-CursorY=16
-TopLine=1
-LeftCol=1
-
-[View20]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\XWBRich20.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View21]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\SgnonCnf.pas
-CursorX=16
-CursorY=162
-TopLine=149
-LeftCol=1
-
-[View22]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fSgnonDlg.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View23]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\uAccessibleListBox.pas
-CursorX=6
-CursorY=57
-TopLine=44
-LeftCol=1
-
-[View24]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\uComServ.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View25]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Hash.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View26]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Mfunstr.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View27]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Xwbut1.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View28]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\wsockc.pas
-CursorX=1
-CursorY=701
-TopLine=692
-LeftCol=1
-
-[View29]
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Lib\ORCtrls.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View30]
-Module=c:\bcb\projects\personal projects\vista\cprs-1.0.23.15\cprs-lib\ORCtrlLib60.dpk
-CursorX=61
-CursorY=40
-TopLine=31
-LeftCol=1
-
-[View31]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\fDebugInfo.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View32]
-Module=C:\BCB\Projects\Personal Projects\Vista\Broker\Source\Rpcberr.pas
-CursorX=1
-CursorY=183
-TopLine=174
-LeftCol=1
-
 [PackageWindow0]
 Create=1
 Visible=0
 State=0
-Left=260
-Top=267
+Left=410
+Top=256
 Width=368
 Height=244
@@ -535,41 +43,5 @@
 SectionWidth0=150
 SectionWidth1=210
-Module=c:\bcb\projects\personal projects\vista\cprs-1.0.23.15\cprs-lib\ORCtrlLib60.dpk
-
-[PackageWindow1]
-Create=1
-Visible=1
-State=0
-Left=252
-Top=241
-Width=368
-Height=244
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=360
-ClientHeight=218
-TBDockHeight=244
-LRDockWidth=368
-Dockable=1
-StatusBar=0
-TextLabels=1
-Toolbar=1
-SectionWidth0=150
-SectionWidth1=210
-Module=c:\bcb\delphi\Lib\dclusr.dpk
-
-[TypeLibEditWindow0]
-Create=1
-Visible=0
-State=0
-Left=200
-Top=114
-Width=639
-Height=453
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=631
-ClientHeight=419
-Module=C:\BCB\Projects\Personal Projects\Vista\CPRS-1.0.23.15\CPRS-Chart\CPRSChart.tlb
+Module=P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrlLib60.dpk
 
 [Watches]
@@ -582,18 +54,24 @@
 Visible=0
 State=0
-Left=103
-Top=393
-Width=392
-Height=112
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=384
-ClientHeight=86
-TBDockHeight=83
+Left=5
+Top=1
+Width=803
+Height=104
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=795
+ClientHeight=78
+TBDockHeight=149
 LRDockWidth=421
 Dockable=1
 
 [Breakpoints]
-Count=0
+Count=6
+Breakpoint0='D:\vista\cprs\OR_3_195V25\CPRS-Chart\uSignItems.pas',130,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint1='D:\vista\cprs\OR_3_195V25\CPRS-Chart\BA\fBAOptionsDiagnoses.pas',410,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint2='D:\vista\cprs\OR_3_195V25\CPRS-Chart\BA\fBAOptionsDiagnoses.pas',414,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint3='D:\vista\cprs\OR_3_195V25\CPRS-Chart\uSignItems.pas',275,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint4='D:\vista\cprs\OR_3_195V25\CPRS-Chart\Orders\fOrdersSign.pas',1099,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint5='D:\vista\cprs\OR_3_195V25\CPRS-Chart\uSignItems.pas',644,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -617,19 +95,19 @@
 Visible=1
 State=0
-Left=215
-Top=123
-Width=631
-Height=614
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=623
-ClientHeight=588
-TBDockHeight=408
-LRDockWidth=137
+Left=0
+Top=0
+Width=287
+Height=577
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=287
+ClientHeight=577
+TBDockHeight=571
+LRDockWidth=255
 Dockable=1
 
 [Components]
-Left=308
-Top=167
+Left=420
+Top=251
 Width=183
 Height=266
@@ -649,16 +127,16 @@
 Visible=0
 State=0
-Left=133
-Top=123
-Width=533
-Height=353
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=525
-ClientHeight=319
-DumpPane=79
-DisassemblyPane=187
+Left=159
+Top=109
+Width=819
+Height=551
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=811
+ClientHeight=517
+DumpPane=212
+DisassemblyPane=377
 RegisterPane=231
-FlagPane=64
+FlagPane=120
 
 [AlignmentPalette]
@@ -667,5 +145,5 @@
 State=0
 Left=200
-Top=125
+Top=107
 Width=156
 Height=84
@@ -680,36 +158,36 @@
 State=0
 Left=0
-Top=123
-Width=214
-Height=449
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=206
-ClientHeight=423
-TBDockHeight=492
-LRDockWidth=190
-Dockable=1
-SplitPos=89
+Top=0
+Width=287
+Height=577
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=287
+ClientHeight=577
+TBDockHeight=571
+LRDockWidth=255
+Dockable=1
+SplitPos=131
 ArrangeBy=Name
 SelectedItem=
-ExpandedItems=Menu
-HiddenCategories=Legacy
+ExpandedItems=Brush,Font.Style
+HiddenCategories=
 
 [BreakpointWindow]
 Create=1
-Visible=0
-State=0
-Left=31
-Top=201
-Width=737
-Height=197
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=729
-ClientHeight=171
+Visible=1
+State=0
+Left=0
+Top=0
+Width=287
+Height=577
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=287
+ClientHeight=577
 TBDockHeight=197
 LRDockWidth=737
 Dockable=1
-Column0Width=100
+Column0Width=151
 Column1Width=75
 Column2Width=200
@@ -722,6 +200,6 @@
 Visible=0
 State=0
-Left=253
-Top=219
+Left=365
+Top=303
 Width=294
 Height=161
@@ -734,53 +212,169 @@
 Dockable=1
 
+[ThreadStatusWindow]
+Create=1
+Visible=0
+State=0
+Left=0
+Top=0
+Width=1024
+Height=768
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=1016
+ClientHeight=742
+TBDockHeight=152
+LRDockWidth=624
+Dockable=1
+Column0Width=145
+Column1Width=100
+Column2Width=115
+Column3Width=250
+
 [ObjectTree]
 Create=1
 Visible=0
 State=0
-Left=192
-Top=124
-Width=183
-Height=435
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=175
-ClientHeight=409
-TBDockHeight=393
+Left=0
+Top=105
+Width=190
+Height=264
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=182
+ClientHeight=238
+TBDockHeight=264
 LRDockWidth=190
 Dockable=1
 
-[CodeExplorer@EditWindow0]
-Create=1
-Visible=0
-State=0
-Left=0
-Top=12
-Width=140
-Height=535
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=140
-ClientHeight=535
-TBDockHeight=305
-LRDockWidth=140
-Dockable=1
-
-[MessageView@EditWindow0]
-Create=1
-Visible=1
-State=0
-Left=12
-Top=0
-Width=870
-Height=190
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=870
-ClientHeight=190
-TBDockHeight=190
-LRDockWidth=443
+[DebugLogView]
+Create=1
+Visible=0
+State=0
+Left=0
+Top=0
+Width=798
+Height=712
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=790
+ClientHeight=686
+TBDockHeight=291
+LRDockWidth=417
+Dockable=1
+
+[LocalVarsWindow]
+Create=1
+Visible=0
+State=0
+Left=441
+Top=447
+Width=421
+Height=192
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=413
+ClientHeight=166
+TBDockHeight=192
+LRDockWidth=421
+Dockable=1
+
+[ToDo List]
+Create=1
+Visible=0
+State=0
+Left=107
+Top=48
+Width=866
+Height=649
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=858
+ClientHeight=623
+TBDockHeight=250
+LRDockWidth=713
+Dockable=1
+Column0Width=507
+Column1Width=30
+Column2Width=100
+Column3Width=70
+Column4Width=70
+SortOrder=6
+ShowHints=1
+ShowChecked=1
+
+[FPUWindow]
+Create=1
+Visible=0
+State=0
+Left=306
+Top=280
+Width=457
+Height=250
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=449
+ClientHeight=216
+RegisterPane=121
+FlagPane=59
+
+[ModuleWindow]
+Create=1
+Visible=0
+State=0
+Left=18
+Top=9
+Width=913
+Height=719
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=905
+ClientHeight=693
+TBDockHeight=355
+LRDockWidth=638
+Dockable=1
+Column0Width=125
+Column1Width=100
+Column2Width=356
+EntryPointPane=447
+CompUnitPane=530
+
+[MessageHintFrm]
+Create=1
+Visible=0
+State=0
+Left=481
+Top=423
+Width=383
+Height=195
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=375
+ClientHeight=169
+TBDockHeight=195
+LRDockWidth=383
 Dockable=1
 
 [DockHosts]
-DockHostCount=0
-
+DockHostCount=1
+
+[DockSite0]
+DockSiteType=1
+Create=1
+Visible=1
+State=0
+Left=1
+Top=104
+Width=303
+Height=632
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=295
+ClientHeight=606
+TBDockHeight=659
+LRDockWidth=263
+Dockable=1
+TabPosition=0
+ActiveTab=Object Inspector
+TabDockClients=PropertyInspector,ProjectManager,BreakpointWindow
+