Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 488)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 493)
@@ -1,27 +1,37 @@
 [Closed Files]
-File_0=SourceModule,'P:\Vista\GUI-config\MainU.dfm',0,1,1,1,1,0,0
-File_1=SourceModule,'P:\Vista\GUI-config\SkinStuff\ipSkinManager.dcu',0,1,1,11,5,0,0
-File_2=SourceModule,'P:\Vista\GUI-config\PostU.pas',0,1,162,47,166,0,0
-File_3=SourceModule,'P:\Vista\GUI-config\SelDateTimeU.pas',0,1,1,1,5,0,0
-File_4=SourceModule,'C:\Program Files\Borland\Delphi7\Projects\Vista\CPRS-Lib\ORFn.pas',0,1,610,1,621,0,0
-File_5=SourceModule,'C:\Program Files\Borland\Delphi7\Projects\Vista\CPRS-Lib\ORCtrls.pas',0,1,1171,1,1182,0,0
-File_6=SourceModule,'c:\program files\borland\delphi7\projects\vista\cprs-1.0.23.15\broker\source\Trpcb.pas',0,1,1013,1,1021,0,0
-File_7=SourceModule,'C:\Program Files\Borland\Delphi7\Projects\Vista\CPRS-Lib\ORNet.pas',0,1,53,1,65,0,0
+File_0=SourceModule,'P:\vista\tmg-cprs\BDK32\Source\wsockc.pas',0,1,1464,17,1475,0,0
+File_1=SourceModule,'P:\Vista\GUI-config\MainU.dfm',0,1,1,1,1,0,0
+File_2=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,1,1,1,1,1
+File_3=SourceModule,'P:\Vista\GUI-config\LookupU.dfm',0,1,1,1,1,0,0
+File_4=SourceModule,'P:\vista\tmg-cprs\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,124,29,11,0,0
+File_5=SourceModule,'C:\Program Files\VISTA\BDK32_is_this_old\Source\Trpcb.pas',0,1,43,1,53,0,0
+File_6=SourceModule,'P:\vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,188,21,195,0,0
+File_7=SourceModule,'C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,1109,31,1120,0,0
+File_8=SourceModule,'c:\program files\borland\delphi7\source\vcl\OleCtrls.pas',0,1,86,12,92,0,0
+File_9=SourceModule,'c:\program files\borland\delphi7\source\rtl\Win\ShellAPI.pas',0,1,1,1,1,0,0
 
 [Modules]
-Module0=P:\Vista\GUI-config\MainU.pas
-Module1=P:\vista\GUI-config\DebugU.pas
-Module2=P:\Vista\GUI-config\GUI_Config.dpr
+Module0=P:\vista\GUI-config\GUI_Config.dpr
+Module1=P:\Vista\GUI-config\MainU.pas
+Module2=P:\vista\GUI-config\DebugU.pas
 Module3=P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas
-Module4=P:\Vista\GUI-config\SkinFormU.pas
-Module5=P:\Vista\GUI-config\SubfilesU.pas
+Module4=P:\Vista\GUI-config\SubfilesU.pas
+Module5=P:\Vista\GUI-config\CPRS-Lib\ORFn.pas
 Module6=P:\Vista\GUI-config\BatchAddU.pas
 Module7=P:\Vista\GUI-config\frmSplash.pas
-Module8=c:\program files\borland\delphi7\source\rtl\Win\ShellAPI.pas
-Module9=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
-Module10=P:\Vista\GUI-config\LookupU.pas
-Count=11
+Module8=P:\vista\GUI-config\SkinFormU.dfm
+Module9=P:\vista\GUI-config\CreateTemplateU.pas
+Module10=P:\vista\GUI-config\EditTextU.pas
+Module11=P:\vista\GUI-config\PostU.pas
+Module12=P:\vista\GUI-config\SetSelU.pas
+Module13=P:\Vista\GUI-config\LookupU.pas
+Count=14
 EditWindowCount=1
 
+[P:\vista\GUI-config\GUI_Config.dpr]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\Vista\GUI-config\MainU.pas]
 ModuleType=SourceModule
@@ -34,9 +44,4 @@
 FormOnTop=0
 
-[P:\Vista\GUI-config\GUI_Config.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
 [P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas]
 ModuleType=SourceModule
@@ -44,19 +49,19 @@
 FormOnTop=0
 
-[P:\Vista\GUI-config\SkinFormU.pas]
+[P:\Vista\GUI-config\SubfilesU.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=0
 
-[P:\Vista\GUI-config\SubfilesU.pas]
+[P:\Vista\GUI-config\CPRS-Lib\ORFn.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\GUI-config\BatchAddU.pas]
 ModuleType=SourceModule
 FormState=1
 FormOnTop=0
 
-[P:\Vista\GUI-config\BatchAddU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
 [P:\Vista\GUI-config\frmSplash.pas]
 ModuleType=SourceModule
@@ -64,10 +69,25 @@
 FormOnTop=0
 
-[c:\program files\borland\delphi7\source\rtl\Win\ShellAPI.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\OleCtrls.pas]
+[P:\vista\GUI-config\SkinFormU.dfm]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\CreateTemplateU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\EditTextU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\PostU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\SetSelU.pas]
 ModuleType=SourceModule
 FormState=0
@@ -84,6 +104,6 @@
 
 [EditWindow0]
-ViewCount=11
-CurrentView=0
+ViewCount=14
+CurrentView=11
 View0=0
 View1=1
@@ -97,4 +117,7 @@
 View9=9
 View10=10
+View11=11
+View12=12
+View13=13
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -114,24 +137,31 @@
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572C600000000000000027F01000000000000010000000000000000000000000100000000C600000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=205
+BottomPanelSize=0
 BottomPanelClients=WatchWindow,MessageView@EditWindow0
-BottomPanelData=00000400010000000B000000576174636857696E646F77000300000000000002CD0000000000000001000000008B010000000000000100000001580300000000000002000000006C000000000000000200000002BE0000000000000003000000000000000000000000030000000000000000000000000300000000AC0100000000000003000000005803000000000000030000000058030000000000000300000000580300000000000003000000005803000000000000030000000058030000000000000200000000D80000000000000001000000005803000000000000010000000058030000000000000100000000AC0100000000000001000000005803000000000000010000000058030000000000000100000000AC010000000000000100000000C401000000000000010000000066000000000000000100000000D7020000000000000100000000160300000000000001000000001603000000000000010000000016030000000000000100000000160300000000000001000000008B0100000000000001000000008B0100000000000001000000008B010000000000000100000000F8020000000000000100000000FD02000000000000010000000016030000000000000100000000160300000000000001000000007E01000000000000010000000100030000000000000200000000CD0000000B0000004D657373616765566965770200000000CD0000000000000001000000000003000000000000FFFFFFFF
+BottomPanelData=00000400020000000B000000576174636857696E646F770B0000004D65737361676556696577000300000000000002CD0000000000000001000000008B010000000000000100000001580300000000000002000000006C000000000000000200000002BE0000000000000003000000000000000000000000030000000000000000000000000300000000AC0100000000000003000000005803000000000000030000000058030000000000000300000000580300000000000003000000005803000000000000030000000058030000000000000200000000D80000000000000001000000005803000000000000010000000058030000000000000100000000AC0100000000000001000000005803000000000000010000000058030000000000000100000000AC010000000000000100000000C401000000000000010000000066000000000000000100000000D7020000000000000100000000160300000000000001000000001603000000000000010000000016030000000000000100000000160300000000000001000000008B0100000000000001000000008B0100000000000001000000008B010000000000000100000000F8020000000000000100000000FD02000000000000010000000016030000000000000100000000160300000000000001000000007E01000000000000010000000100030000000000000200000000CD0000000B0000004D657373616765566965770200000000CD0000000000000001000000000003000000000000FFFFFFFF
 
 [View0]
 Module=P:\Vista\GUI-config\MainU.pas
-CursorX=3
-CursorY=33
-TopLine=25
+CursorX=1
+CursorY=297
+TopLine=281
 LeftCol=1
 
 [View1]
+Module=P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas
+CursorX=22
+CursorY=343
+TopLine=336
+LeftCol=1
+
+[View2]
 Module=P:\vista\GUI-config\DebugU.pas
-CursorX=13
-CursorY=13
+CursorX=28
+CursorY=4
 TopLine=1
 LeftCol=1
 
-[View2]
-Module=P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas
+[View3]
+Module=P:\Vista\GUI-config\LookupU.pas
 CursorX=1
 CursorY=1
@@ -139,34 +169,48 @@
 LeftCol=1
 
-[View3]
-Module=P:\Vista\GUI-config\LookupU.pas
-CursorX=11
-CursorY=120
-TopLine=110
-LeftCol=1
-
 [View4]
-Module=c:\program files\borland\delphi7\source\vcl\OleCtrls.pas
-CursorX=12
-CursorY=92
-TopLine=86
+Module=P:\Vista\GUI-config\CPRS-Lib\ORFn.pas
+CursorX=38
+CursorY=41
+TopLine=1
 LeftCol=1
 
 [View5]
 Module=P:\Vista\GUI-config\SubfilesU.pas
-CursorX=5
-CursorY=195
-TopLine=195
+CursorX=9
+CursorY=97
+TopLine=89
 LeftCol=1
 
 [View6]
-Module=P:\Vista\GUI-config\SkinFormU.pas
-CursorX=16
-CursorY=95
-TopLine=87
+Module=P:\vista\GUI-config\SetSelU.pas
+CursorX=9
+CursorY=32
+TopLine=24
 LeftCol=1
 
 [View7]
-Module=c:\program files\borland\delphi7\source\rtl\Win\ShellAPI.pas
+Module=P:\vista\GUI-config\PostU.pas
+CursorX=9
+CursorY=42
+TopLine=34
+LeftCol=1
+
+[View8]
+Module=P:\vista\GUI-config\EditTextU.pas
+CursorX=22
+CursorY=64
+TopLine=56
+LeftCol=1
+
+[View9]
+Module=P:\vista\GUI-config\CreateTemplateU.pas
+CursorX=22
+CursorY=87
+TopLine=79
+LeftCol=1
+
+[View10]
+Module=P:\vista\GUI-config\SkinFormU.dfm
 CursorX=1
 CursorY=1
@@ -174,12 +218,12 @@
 LeftCol=1
 
-[View8]
-Module=P:\Vista\GUI-config\GUI_Config.dpr
+[View11]
+Module=P:\vista\GUI-config\GUI_Config.dpr
 CursorX=1
-CursorY=68
-TopLine=60
-LeftCol=1
-
-[View9]
+CursorY=67
+TopLine=59
+LeftCol=1
+
+[View12]
 Module=P:\Vista\GUI-config\frmSplash.pas
 CursorX=20
@@ -188,9 +232,9 @@
 LeftCol=1
 
-[View10]
+[View13]
 Module=P:\Vista\GUI-config\BatchAddU.pas
-CursorX=16
-CursorY=16
-TopLine=1
+CursorX=30
+CursorY=83
+TopLine=74
 LeftCol=1
 
@@ -222,5 +266,5 @@
 [Breakpoints]
 Count=1
-Breakpoint0='P:\Vista\GUI-config\MainU.pas',2118,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint0='P:\Vista\GUI-config\MainU.pas',295,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -242,8 +286,8 @@
 [ProjectManager]
 Create=1
-Visible=0
-State=0
-Left=198
-Top=142
+Visible=1
+State=0
+Left=172
+Top=159
 Width=689
 Height=561
@@ -319,5 +363,5 @@
 SplitPos=114
 ArrangeBy=Name
-SelectedItem=Name
+SelectedItem=Visible
 ExpandedItems=Anchors,Options
 HiddenCategories=Legacy
@@ -523,5 +567,5 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=1
+Visible=0
 State=0
 Left=12