Index: cprs/branches/tmg-cprs/CPRS-Chart/TMG_Extra/fPtDemoEdit.dfm
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/TMG_Extra/fPtDemoEdit.dfm	(revision 473)
+++ cprs/branches/tmg-cprs/CPRS-Chart/TMG_Extra/fPtDemoEdit.dfm	(revision 495)
@@ -1,7 +1,7 @@
 object frmPtDemoEdit: TfrmPtDemoEdit
-  Left = 286
-  Top = 150
-  Width = 594
-  Height = 502
+  Left = 196
+  Top = 145
+  Width = 684
+  Height = 498
   Caption = 'Edit Patient Demographics'
   Color = clBtnFace
@@ -17,11 +17,11 @@
   OnShow = FormShow
   DesignSize = (
-    586
-    468)
+    676
+    464)
   PixelsPerInch = 96
   TextHeight = 13
   object OKBtn: TButton
-    Left = 296
-    Top = 435
+    Left = 386
+    Top = 431
     Width = 75
     Height = 25
@@ -33,6 +33,6 @@
   end
   object CancelBtn: TButton
-    Left = 488
-    Top = 435
+    Left = 578
+    Top = 431
     Width = 75
     Height = 25
@@ -43,6 +43,6 @@
   end
   object ApplyBtn: TButton
-    Left = 376
-    Top = 435
+    Left = 466
+    Top = 431
     Width = 107
     Height = 25
@@ -56,6 +56,6 @@
     Left = 0
     Top = 0
-    Width = 586
-    Height = 428
+    Width = 676
+    Height = 424
     ActivePage = DemoTabSheet
     Align = alTop
@@ -65,6 +65,6 @@
       Caption = 'Demographics'
       DesignSize = (
-        578
-        400)
+        668
+        396)
       object LNameLabel: TLabel
         Left = 27
@@ -96,5 +96,5 @@
       end
       object PrefixLabel: TLabel
-        Left = 289
+        Left = 379
         Top = 136
         Width = 26
@@ -105,5 +105,5 @@
       end
       object SuffixLabel: TLabel
-        Left = 58
+        Left = 148
         Top = 104
         Width = 26
@@ -113,5 +113,5 @@
       end
       object DOBLabel: TLabel
-        Left = 25
+        Left = 115
         Top = 128
         Width = 59
@@ -121,5 +121,5 @@
       end
       object SSNumLabel: TLabel
-        Left = 5
+        Left = 95
         Top = 152
         Width = 79
@@ -136,5 +136,5 @@
       end
       object DegreeLabel: TLabel
-        Left = 288
+        Left = 378
         Top = 160
         Width = 35
@@ -147,5 +147,5 @@
         Left = 95
         Top = 8
-        Width = 165
+        Width = 255
         Height = 21
         Anchors = [akLeft, akTop, akRight]
@@ -156,5 +156,5 @@
         Left = 95
         Top = 32
-        Width = 165
+        Width = 255
         Height = 21
         Anchors = [akLeft, akTop, akRight]
@@ -165,5 +165,5 @@
         Left = 95
         Top = 56
-        Width = 165
+        Width = 255
         Height = 21
         Anchors = [akLeft, akTop, akRight]
@@ -174,5 +174,5 @@
         Left = 95
         Top = 80
-        Width = 165
+        Width = 255
         Height = 21
         Anchors = [akLeft, akTop, akRight]
@@ -181,5 +181,5 @@
       end
       object PrefixEdit: TEdit
-        Left = 325
+        Left = 415
         Top = 136
         Width = 135
@@ -191,5 +191,5 @@
       end
       object SuffixEdit: TEdit
-        Left = 95
+        Left = 185
         Top = 104
         Width = 165
@@ -202,5 +202,5 @@
         Left = 95
         Top = 128
-        Width = 165
+        Width = 255
         Height = 21
         Anchors = [akLeft, akTop, akRight]
@@ -211,5 +211,5 @@
         Left = 95
         Top = 152
-        Width = 165
+        Width = 255
         Height = 21
         Anchors = [akLeft, akTop, akRight]
@@ -218,5 +218,5 @@
       end
       object AliasGroupBox: TGroupBox
-        Left = 272
+        Left = 362
         Top = 8
         Width = 297
@@ -294,9 +294,13 @@
       object AddressGroupBox: TGroupBox
         Left = 8
-        Top = 208
-        Width = 569
+        Top = 204
+        Width = 482
         Height = 185
+        Anchors = [akLeft, akRight, akBottom]
         Caption = 'Address'
         TabOrder = 11
+        DesignSize = (
+          482
+          185)
         object CityLabel: TLabel
           Left = 172
@@ -322,10 +326,11 @@
         end
         object EndingDateLabel: TLabel
-          Left = 328
+          Left = 336
           Top = 152
-          Width = 59
-          Height = 13
+          Width = 33
+          Height = 26
           Caption = 'Ending Date'
           Visible = False
+          WordWrap = True
         end
         object AddressRGrp: TRadioGroup
@@ -463,28 +468,4 @@
           OnClick = TempActiveCBClick
         end
-        object PhoneNumGrp: TRadioGroup
-          Left = 416
-          Top = 16
-          Width = 137
-          Height = 89
-          Caption = 'Phone Number'
-          ItemIndex = 0
-          Items.Strings = (
-            'Residence'
-            'Work'
-            'Cell'
-            'Temporary')
-          TabOrder = 9
-          OnClick = PhoneNumGrpClick
-        end
-        object PhoneNumEdit: TEdit
-          Left = 416
-          Top = 120
-          Width = 137
-          Height = 21
-          TabOrder = 10
-          Text = '<Phone Number>'
-          OnChange = PhoneNumEditChange
-        end
         object StartingDateEdit: TEdit
           Left = 176
@@ -492,14 +473,15 @@
           Width = 145
           Height = 21
-          TabOrder = 11
+          TabOrder = 9
           Visible = False
           OnChange = StartingDateEditChange
         end
         object EndingDateEdit: TEdit
-          Left = 408
+          Left = 376
           Top = 152
-          Width = 145
-          Height = 21
-          TabOrder = 12
+          Width = 98
+          Height = 21
+          Anchors = [akLeft, akRight]
+          TabOrder = 10
           Visible = False
           OnChange = EndingDateEditChange
@@ -511,5 +493,5 @@
           Height = 17
           Caption = 'Confidential Active'
-          TabOrder = 13
+          TabOrder = 11
           Visible = False
           OnClick = ConfActiveCBClick
@@ -519,5 +501,5 @@
         Left = 95
         Top = 176
-        Width = 165
+        Width = 255
         Height = 21
         Anchors = [akLeft, akTop, akRight]
@@ -531,5 +513,5 @@
       end
       object DegreeEdit: TEdit
-        Left = 325
+        Left = 415
         Top = 160
         Width = 136
@@ -539,4 +521,36 @@
         Visible = False
         OnChange = DegreeEditChange
+      end
+      object GroupBox1: TGroupBox
+        Left = 495
+        Top = 204
+        Width = 170
+        Height = 185
+        Anchors = [akRight, akBottom]
+        Caption = 'Phone Numbers'
+        TabOrder = 12
+        object PhoneNumGrp: TRadioGroup
+          Left = 8
+          Top = 16
+          Width = 137
+          Height = 89
+          ItemIndex = 0
+          Items.Strings = (
+            'Residence'
+            'Work'
+            'Cell'
+            'Temporary')
+          TabOrder = 0
+          OnClick = PhoneNumGrpClick
+        end
+        object PhoneNumEdit: TEdit
+          Left = 8
+          Top = 120
+          Width = 137
+          Height = 21
+          TabOrder = 1
+          Text = '<Phone Number>'
+          OnChange = PhoneNumEditChange
+        end
       end
     end
@@ -547,5 +561,5 @@
     LangData = {
       0D0066726D507444656D6F45646974010100000001000000070043617074696F
-      6E013400000005004F4B42746E010100000002000000070043617074696F6E00
+      6E013500000005004F4B42746E010100000002000000070043617074696F6E00
       090043616E63656C42746E010100000003000000070043617074696F6E000800
       4170706C7942746E010100000004000000070043617074696F6E000B00506167
@@ -584,11 +598,12 @@
       0400546578740008005A6970344564697400000C004261644164647265737343
       4201010000001F000000070043617074696F6E000C0054656D70416374697665
-      4342010100000020000000070043617074696F6E000B0050686F6E654E756D47
-      7270010200000021000000070043617074696F6E2200000005004974656D7300
-      0C0050686F6E654E756D45646974010100000023000000040054657874001000
-      5374617274696E67446174654564697400000E00456E64696E67446174654564
-      697400000C00436F6E6641637469766543420101000000240000000700436170
-      74696F6E000B00536578436F6D626F426F780102000000260000000500497465
-      6D7325000000040054657874000A00446567726565456469740000}
+      4342010100000020000000070043617074696F6E0010005374617274696E6744
+      6174654564697400000E00456E64696E67446174654564697400000C00436F6E
+      664163746976654342010100000024000000070043617074696F6E000B005365
+      78436F6D626F426F7801020000002600000005004974656D7325000000040054
+      657874000A00446567726565456469740000090047726F7570426F7831010100
+      000027000000070043617074696F6E000B0050686F6E654E756D477270010100
+      00002800000005004974656D73000C0050686F6E654E756D4564697401010000
+      002900000004005465787400}
   end
 end