Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 490)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 496)
@@ -1,35 +1,144 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\GUI-config\MainU.pas',0,1,2129,1,2134,1,0
-File_1=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,66,1,76,0,0
-File_2=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORNet.pas',0,1,348,1,359,0,0
-File_3=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\UploadImages.pas',0,1,219,36,232,0,0
-File_4=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\uConst.pas',0,1,47,10,52,0,0
-File_5=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtDemo.pas',0,1,1,52,82,0,0
-File_6=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Lib\ORCtrls.pas',0,1,2170,1,2178,0,0
-File_7=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\fPtSel.pas',0,1,500,34,503,1,0
-File_8=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\CPRSChart.dpr',0,1,285,1,351,0,0
-File_9=SourceModule,'P:\Vista\CPRS-1.0.26.69\CPRS-Chart\TMG_Extra\fWebTab.pas',0,1,1,1,88,0,0
+File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncounterFrame.pas',0,1,326,19,334,1,0
+File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas',0,1,1450,1,1458,0,0
+File_2=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fPage.pas',0,1,1,5,15,1,0
+File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fEncnt.pas',0,1,39,5,47,1,0
+File_4=SourceModule,'c:\program files\borland\delphi7\source\vcl\StdCtrls.pas',0,1,3401,1,3415,0,0
+File_5=SourceModule,'c:\program files\borland\delphi7\source\vcl\ComCtrls.pas',0,1,4436,1,4460,0,0
+File_6=SourceModule,'c:\program files\borland\delphi7\source\vcl\Controls.pas',0,1,4698,1,4706,0,0
+File_7=SourceModule,'P:\vista\tmg-cprs\CPRSChart.ini',0,1,1,18,14,0,0
+File_8=SourceModule,'P:\vista\GUI-config\MainU.pas',0,1,2129,1,2134,1,0
+File_9=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,66,1,76,0,0
 
 [Modules]
-Module0=c:\program files\borland\delphi7\source\vcl\Forms.pas
-Module1=P:\vista\tmg-cprs\CPRSChart.ini
-Module2=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module3=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-Module4=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
+Module0=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
+Module2=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Module3=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module4=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
 Module5=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
-Module6=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Module7=c:\program files\borland\delphi7\source\rtl\Win\Messages.pas
-Module8=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module9=c:\program files\borland\delphi7\source\vcl\Controls.pas
+Module6=P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas
+Module7=P:\vista\tmg-cprs\CPRS-Chart\fReminderDialog.pas
+Module8=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas
+Module9=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
 Module10=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module11=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
-Module12=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
-Module13=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-Module14=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
-Module15=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
-Count=16
+Module11=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
+Module12=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
+Module13=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+Module14=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fPCEBase.pas
+Module15=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fVisitType.pas
+Module16=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
+Module17=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
+Module18=c:\program files\borland\delphi7\source\rtl\Win\Messages.pas
+Module19=c:\program files\borland\delphi7\source\vcl\Forms.pas
+Module20=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
+Module21=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
+Module22=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+Module23=P:\vista\tmg-cprs\CPRS-Chart\fVisit.pas
+Module24=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
+Module25=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
+Module26=P:\vista\tmg-cprs\CPRS-Chart\Encounter\rPCE.pas
+Module27=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditProc.pas
+Module28=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditConsult.pas
+Module29=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncVitals.pas
+Count=30
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fReminderDialog.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Encounter\fPCEBase.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Encounter\fVisitType.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Win\Windows.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[c:\program files\borland\delphi7\source\rtl\Win\Messages.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [c:\program files\borland\delphi7\source\vcl\Forms.pas]
 ModuleType=SourceModule
@@ -37,71 +146,26 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRSChart.ini]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
-ModuleType=SourceModule
-FormState=1
+[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fVisit.pas]
+ModuleType=SourceModule
+FormState=0
 FormOnTop=0
 
 [P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
 ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Win\Messages.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Controls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Win\Windows.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\ComCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\StdCtrls.pas]
-ModuleType=SourceModule
 FormState=0
 FormOnTop=0
@@ -112,4 +176,28 @@
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\Encounter\rPCE.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditProc.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditConsult.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncVitals.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
+FormState=0
+FormOnTop=0
+
 [C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
 FormState=0
@@ -124,15 +212,19 @@
 FormOnTop=0
 
-[P:\vista\tmg-cprs\CPRS-Chart\fPage.pas]
-FormState=0
-FormOnTop=0
-
 [P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
 FormState=0
 FormOnTop=0
 
+[P:\vista\tmg-cprs\CPRS-Chart\Encounter\mVisitRelated.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\dShared.pas]
+FormState=0
+FormOnTop=0
+
 [EditWindow0]
-ViewCount=16
-CurrentView=12
+ViewCount=30
+CurrentView=3
 View0=0
 View1=1
@@ -151,4 +243,18 @@
 View14=14
 View15=15
+View16=16
+View17=17
+View18=18
+View19=19
+View20=20
+View21=21
+View22=22
+View23=23
+View24=24
+View25=25
+View26=26
+View27=27
+View28=28
+View29=29
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -156,6 +262,6 @@
 Visible=1
 State=0
-Left=212
-Top=132
+Left=247
+Top=115
 Width=780
 Height=588
@@ -170,5 +276,5 @@
 BottomPanelSize=187
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=0000040000000000040300000000000002BB000000000000000100000000000000000000000001000000000103000000000000010000000001030000000000000100000000C7020000000000000100000000040300000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=0000040000000000040300000000000002BB000000000000000100000000000000000000000001000000000103000000000000010000000001030000000000000100000000C702000000000000010000000004030000000000000100000000040300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
@@ -182,9 +288,65 @@
 Module=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
 CursorX=15
-CursorY=1238
-TopLine=1225
+CursorY=19
+TopLine=11
 LeftCol=1
 
 [View2]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
+CursorX=5
+CursorY=39
+TopLine=31
+LeftCol=1
+
+[View3]
+Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
+CursorX=25
+CursorY=300
+TopLine=127
+LeftCol=1
+
+[View4]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fPCEBase.pas
+CursorX=1
+CursorY=321
+TopLine=312
+LeftCol=1
+
+[View5]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncVitals.pas
+CursorX=1
+CursorY=1
+TopLine=1
+LeftCol=1
+
+[View6]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditConsult.pas
+CursorX=1
+CursorY=1
+TopLine=1
+LeftCol=1
+
+[View7]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditProc.pas
+CursorX=1
+CursorY=1
+TopLine=1
+LeftCol=1
+
+[View8]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fVisitType.pas
+CursorX=39
+CursorY=16
+TopLine=31
+LeftCol=1
+
+[View9]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\rPCE.pas
+CursorX=15
+CursorY=887
+TopLine=879
+LeftCol=1
+
+[View10]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
 CursorX=8
@@ -193,26 +355,40 @@
 LeftCol=1
 
-[View3]
-Module=P:\vista\tmg-cprs\CPRSChart.ini
-CursorX=1
-CursorY=23
-TopLine=6
-LeftCol=1
-
-[View4]
+[View11]
 Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-CursorX=1
-CursorY=321
+CursorX=34
+CursorY=316
 TopLine=310
 LeftCol=1
 
-[View5]
+[View12]
+Module=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
+CursorX=1
+CursorY=663
+TopLine=654
+LeftCol=1
+
+[View13]
+Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
+CursorX=1
+CursorY=1479
+TopLine=1468
+LeftCol=1
+
+[View14]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas
+CursorX=6
+CursorY=5
+TopLine=1
+LeftCol=1
+
+[View15]
 Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-CursorX=25
-CursorY=8394
-TopLine=8380
-LeftCol=1
-
-[View6]
+CursorX=1
+CursorY=12636
+TopLine=12621
+LeftCol=1
+
+[View16]
 Module=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
 CursorX=1
@@ -221,5 +397,5 @@
 LeftCol=1
 
-[View7]
+[View17]
 Module=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
 CursorX=29
@@ -228,40 +404,68 @@
 LeftCol=1
 
-[View8]
-Module=c:\program files\borland\delphi7\source\vcl\StdCtrls.pas
-CursorX=1
-CursorY=3415
-TopLine=3401
-LeftCol=1
-
-[View9]
-Module=c:\program files\borland\delphi7\source\vcl\ComCtrls.pas
-CursorX=1
-CursorY=4460
-TopLine=4436
-LeftCol=1
-
-[View10]
-Module=c:\program files\borland\delphi7\source\vcl\Controls.pas
-CursorX=1
-CursorY=6369
-TopLine=6355
-LeftCol=1
-
-[View11]
+[View18]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
+CursorX=1
+CursorY=1196
+TopLine=1189
+LeftCol=1
+
+[View19]
+Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas
+CursorX=1
+CursorY=2801
+TopLine=2793
+LeftCol=1
+
+[View20]
 Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
 CursorX=1
-CursorY=6351
-TopLine=6337
-LeftCol=1
-
-[View12]
+CursorY=2180
+TopLine=2172
+LeftCol=1
+
+[View21]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fReminderDialog.pas
+CursorX=1
+CursorY=298
+TopLine=290
+LeftCol=1
+
+[View22]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fVisit.pas
+CursorX=5
+CursorY=27
+TopLine=19
+LeftCol=1
+
+[View23]
+Module=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
+CursorX=5
+CursorY=805
+TopLine=792
+LeftCol=1
+
+[View24]
+Module=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
+CursorX=1
+CursorY=2279
+TopLine=2265
+LeftCol=1
+
+[View25]
+Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
+CursorX=1
+CursorY=16165
+TopLine=16146
+LeftCol=1
+
+[View26]
 Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
 CursorX=1
-CursorY=4781
-TopLine=4767
-LeftCol=1
-
-[View13]
+CursorY=2648
+TopLine=2631
+LeftCol=1
+
+[View27]
 Module=c:\program files\borland\delphi7\source\rtl\Win\Messages.pas
 CursorX=1
@@ -270,5 +474,5 @@
 LeftCol=1
 
-[View14]
+[View28]
 Module=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
 CursorX=1
@@ -277,9 +481,9 @@
 LeftCol=1
 
-[View15]
+[View29]
 Module=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
 CursorX=1
-CursorY=30104
-TopLine=30090
+CursorY=28850
+TopLine=28836
 LeftCol=1
 
@@ -330,6 +534,5 @@
 
 [Breakpoints]
-Count=1
-Breakpoint0='P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas',944,'',0,1,'',1,0,0,'',1,'','',''
+Count=0
 
 [AddressBreakpoints]
@@ -339,12 +542,14 @@
 Create=1
 Visible=1
-State=0
-Left=12
-Top=16
+State=2
+Left=1064
+Top=175
 Width=981
 Height=112
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=973
+MaxLeft=-4
+MaxTop=-4
+MaxWidth=1032
+MaxHeight=112
+ClientWidth=1024
 ClientHeight=78
 
@@ -428,5 +633,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=Name
+SelectedItem=Caption
 ExpandedItems=Anchors
 HiddenCategories=Legacy
@@ -456,14 +661,14 @@
 [CallStackWindow]
 Create=1
-Visible=0
-State=0
-Left=13
-Top=158
-Width=502
-Height=295
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=494
-ClientHeight=269
+Visible=1
+State=0
+Left=-747
+Top=206
+Width=712
+Height=481
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=704
+ClientHeight=455
 TBDockHeight=355
 LRDockWidth=233
@@ -654,6 +859,6 @@
 Visible=1
 State=0
-Left=8
-Top=128
+Left=4
+Top=149
 Width=258
 Height=539