Index: cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk
===================================================================
--- cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 496)
+++ cprs/branches/tmg-cprs/CPRS-Chart/CPRSChart.dsk	(revision 498)
@@ -1,57 +1,54 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncounterFrame.pas',0,1,326,19,334,1,0
-File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Orders\fODBase.pas',0,1,1450,1,1458,0,0
-File_2=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fPage.pas',0,1,1,5,15,1,0
-File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fEncnt.pas',0,1,39,5,47,1,0
-File_4=SourceModule,'c:\program files\borland\delphi7\source\vcl\StdCtrls.pas',0,1,3401,1,3415,0,0
-File_5=SourceModule,'c:\program files\borland\delphi7\source\vcl\ComCtrls.pas',0,1,4436,1,4460,0,0
-File_6=SourceModule,'c:\program files\borland\delphi7\source\vcl\Controls.pas',0,1,4698,1,4706,0,0
-File_7=SourceModule,'P:\vista\tmg-cprs\CPRSChart.ini',0,1,1,18,14,0,0
-File_8=SourceModule,'P:\vista\GUI-config\MainU.pas',0,1,2129,1,2134,1,0
-File_9=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,66,1,76,0,0
+File_0=SourceModule,'C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas',0,1,654,1,663,0,0
+File_1=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Encounter\rPCE.pas',0,1,879,15,887,0,0
+File_2=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Encounter\fPCEBase.pas',0,1,312,1,321,0,0
+File_3=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Encounter\fVisitType.pas',0,1,31,39,16,0,0
+File_4=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditProc.pas',0,1,1,1,1,0,0
+File_5=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditConsult.pas',0,1,1,1,1,0,0
+File_6=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncVitals.pas',0,1,1,1,1,0,0
+File_7=SourceModule,'c:\program files\borland\delphi7\source\rtl\Win\Windows.pas',0,1,28836,1,28850,0,0
+File_8=SourceModule,'P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas',0,1,932,1,954,0,0
+File_9=SourceModule,'c:\program files\borland\delphi7\source\rtl\Win\Messages.pas',0,1,28,1,13,0,0
 
 [Modules]
-Module0=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
-Module1=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
-Module2=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
-Module3=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
-Module4=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-Module5=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
-Module6=P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas
-Module7=P:\vista\tmg-cprs\CPRS-Chart\fReminderDialog.pas
-Module8=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas
-Module9=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-Module10=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-Module11=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
-Module12=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-Module13=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-Module14=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fPCEBase.pas
-Module15=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fVisitType.pas
-Module16=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
-Module17=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
-Module18=c:\program files\borland\delphi7\source\rtl\Win\Messages.pas
-Module19=c:\program files\borland\delphi7\source\vcl\Forms.pas
-Module20=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-Module21=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
-Module22=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
-Module23=P:\vista\tmg-cprs\CPRS-Chart\fVisit.pas
-Module24=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-Module25=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
-Module26=P:\vista\tmg-cprs\CPRS-Chart\Encounter\rPCE.pas
-Module27=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditProc.pas
-Module28=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditConsult.pas
-Module29=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncVitals.pas
-Count=30
+Module0=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
+Module1=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
+Module2=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
+Module3=c:\program files\borland\delphi7\source\rtl\Sys\variants.pas
+Module4=P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas
+Module5=P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas
+Module6=P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.dpr
+Count=7
 EditWindowCount=1
 TypeLibWindowCount=1
 
+[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
 [P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas]
 ModuleType=SourceModule
-FormState=1
+FormState=0
+FormOnTop=1
+
+[c:\program files\borland\delphi7\source\rtl\Sys\variants.pas]
+ModuleType=SourceModule
+FormState=0
 FormOnTop=0
 
 [P:\vista\tmg-cprs\CPRS-Chart\fPtSel.pas]
 ModuleType=SourceModule
-FormState=1
+FormState=0
+FormOnTop=1
+
+[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
+ModuleType=SourceModule
+FormState=0
 FormOnTop=0
 
@@ -61,136 +58,17 @@
 FormOnTop=0
 
-[P:\Vista\tmg-cprs\CPRS-Chart\fFrame.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fReminderDialog.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\common\classes.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\system.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Encounter\fPCEBase.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Encounter\fVisitType.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Win\Windows.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Win\Messages.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\vcl\Forms.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fVisit.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Encounter\rPCE.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditProc.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditConsult.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncVitals.pas]
-ModuleType=SourceModule
+[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.tlb]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
+FormState=0
+FormOnTop=0
+
+[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
 FormState=0
 FormOnTop=0
@@ -200,20 +78,4 @@
 FormOnTop=0
 
-[C:\Program Files\Borland\Delphi7\Projects\ProjectGroup1.bpg]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\CPRSChart.tlb]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fHSplit.pas]
-FormState=0
-FormOnTop=0
-
-[P:\vista\tmg-cprs\CPRS-Chart\fAutoSz.pas]
-FormState=0
-FormOnTop=0
-
 [P:\vista\tmg-cprs\CPRS-Chart\Encounter\mVisitRelated.pas]
 FormState=0
@@ -225,6 +87,6 @@
 
 [EditWindow0]
-ViewCount=30
-CurrentView=3
+ViewCount=7
+CurrentView=5
 View0=0
 View1=1
@@ -234,27 +96,4 @@
 View5=5
 View6=6
-View7=7
-View8=8
-View9=9
-View10=10
-View11=11
-View12=12
-View13=13
-View14=14
-View15=15
-View16=16
-View17=17
-View18=18
-View19=19
-View20=20
-View21=21
-View22=22
-View23=23
-View24=24
-View25=25
-View26=26
-View27=27
-View28=28
-View29=29
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -262,6 +101,6 @@
 Visible=1
 State=0
-Left=247
-Top=115
+Left=81
+Top=156
 Width=780
 Height=588
@@ -274,7 +113,7 @@
 LeftPanelData=00000400010000000C000000436F64654578706C6F726572000000000000000000000000000000000001000000000000000000000000FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=187
+BottomPanelSize=0
 BottomPanelClients=MessageView@EditWindow0
-BottomPanelData=0000040000000000040300000000000002BB000000000000000100000000000000000000000001000000000103000000000000010000000001030000000000000100000000C702000000000000010000000004030000000000000100000000040300000B0000004D65737361676556696577FFFFFFFF
+BottomPanelData=00000400010000000B0000004D65737361676556696577040300000000000002BB000000000000000100000000000000000000000001000000000103000000000000010000000001030000000000000100000000C702000000000000010000000004030000000000000100000000040300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
@@ -301,18 +140,18 @@
 [View3]
 Module=P:\vista\tmg-cprs\CPRS-Chart\TMG_Extra\fPtDemoEdit.pas
-CursorX=25
-CursorY=300
-TopLine=127
+CursorX=43
+CursorY=299
+TopLine=292
 LeftCol=1
 
 [View4]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fPCEBase.pas
+Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
 CursorX=1
-CursorY=321
-TopLine=312
+CursorY=390
+TopLine=385
 LeftCol=1
 
 [View5]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fEncVitals.pas
+Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
 CursorX=1
 CursorY=1
@@ -321,169 +160,8 @@
 
 [View6]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditConsult.pas
+Module=c:\program files\borland\delphi7\source\rtl\Sys\variants.pas
 CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View7]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Consults\fEditProc.pas
-CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View8]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\fVisitType.pas
-CursorX=39
-CursorY=16
-TopLine=31
-LeftCol=1
-
-[View9]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Encounter\rPCE.pas
-CursorX=15
-CursorY=887
-TopLine=879
-LeftCol=1
-
-[View10]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fPrintList.pas
-CursorX=8
-CursorY=102
-TopLine=44
-LeftCol=1
-
-[View11]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Options\fOptions.pas
-CursorX=34
-CursorY=316
-TopLine=310
-LeftCol=1
-
-[View12]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\TRPCB.pas
-CursorX=1
-CursorY=663
-TopLine=654
-LeftCol=1
-
-[View13]
-Module=C:\PROGRA~1\VISTA\BDK32\Source\wsockc.pas
-CursorX=1
-CursorY=1479
-TopLine=1468
-LeftCol=1
-
-[View14]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fSplash.pas
-CursorX=6
-CursorY=5
-TopLine=1
-LeftCol=1
-
-[View15]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\system.pas
-CursorX=1
-CursorY=12636
-TopLine=12621
-LeftCol=1
-
-[View16]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\SysInit.pas
-CursorX=1
-CursorY=365
-TopLine=345
-LeftCol=1
-
-[View17]
-Module=P:\Vista\tmg-cprs\CPRS-Chart\Options\fOptionsOther.pas
-CursorX=29
-CursorY=123
-TopLine=115
-LeftCol=1
-
-[View18]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fNotes.pas
-CursorX=1
-CursorY=1196
-TopLine=1189
-LeftCol=1
-
-[View19]
-Module=P:\vista\tmg-cprs\CPRS-Chart\Templates\uTemplates.pas
-CursorX=1
-CursorY=2801
-TopLine=2793
-LeftCol=1
-
-[View20]
-Module=c:\program files\borland\delphi7\source\rtl\common\classes.pas
-CursorX=1
-CursorY=2180
-TopLine=2172
-LeftCol=1
-
-[View21]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fReminderDialog.pas
-CursorX=1
-CursorY=298
-TopLine=290
-LeftCol=1
-
-[View22]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fVisit.pas
-CursorX=5
-CursorY=27
-TopLine=19
-LeftCol=1
-
-[View23]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fDrawers.pas
-CursorX=5
-CursorY=805
-TopLine=792
-LeftCol=1
-
-[View24]
-Module=P:\Vista\tmg-cprs\dklang-package-3.01\DKLang.pas
-CursorX=1
-CursorY=2279
-TopLine=2265
-LeftCol=1
-
-[View25]
-Module=c:\program files\borland\delphi7\source\rtl\Sys\sysutils.pas
-CursorX=1
-CursorY=16165
-TopLine=16146
-LeftCol=1
-
-[View26]
-Module=c:\program files\borland\delphi7\source\vcl\Forms.pas
-CursorX=1
-CursorY=2648
-TopLine=2631
-LeftCol=1
-
-[View27]
-Module=c:\program files\borland\delphi7\source\rtl\Win\Messages.pas
-CursorX=1
-CursorY=13
-TopLine=28
-LeftCol=1
-
-[View28]
-Module=P:\vista\tmg-cprs\CPRS-Chart\fDCSumm.pas
-CursorX=1
-CursorY=954
-TopLine=932
-LeftCol=1
-
-[View29]
-Module=c:\program files\borland\delphi7\source\rtl\Win\Windows.pas
-CursorX=1
-CursorY=28850
-TopLine=28836
+CursorY=609
+TopLine=595
 LeftCol=1
 
@@ -545,5 +223,5 @@
 Left=1064
 Top=175
-Width=981
+Width=123
 Height=112
 MaxLeft=-4
@@ -633,5 +311,5 @@
 SplitPos=128
 ArrangeBy=Name
-SelectedItem=Caption
+SelectedItem=Position
 ExpandedItems=Anchors
 HiddenCategories=Legacy
@@ -663,11 +341,11 @@
 Visible=1
 State=0
-Left=-747
-Top=206
-Width=712
+Left=-764
+Top=199
+Width=477
 Height=481
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=704
+ClientWidth=469
 ClientHeight=455
 TBDockHeight=355
@@ -837,5 +515,5 @@
 [MessageView@EditWindow0]
 Create=1
-Visible=1
+Visible=0
 State=0
 Left=12
@@ -859,6 +537,6 @@
 Visible=1
 State=0
-Left=4
-Top=149
+Left=-278
+Top=186
 Width=258
 Height=539