Index: ccr/trunk/p/C0CFM2.m
===================================================================
--- ccr/trunk/p/C0CFM2.m	(revision 433)
+++ ccr/trunk/p/C0CFM2.m	(revision 508)
@@ -1,4 +1,4 @@
-C0CFM2   ; CCDCCR/GPL - CCR FILEMAN utilities; 12/6/08
- ;;0.1;CCDCCR;nopatch;noreleasedate
+C0CFM2	  ; CCDCCR/GPL - CCR FILEMAN utilities; 12/6/08
+ ;;1.0;C0C;;May 19, 2009;
  ;Copyright 2009 George Lilly.  Licensed under the terms of the GNU
  ;General Public License See attached copy of the License.
@@ -28,5 +28,5 @@
  Q
  ;
-RIMTBL(ZWHICH) ; PUT ALL PATIENT IN RIMTBL ZWHICH INTO THE CCR ELEMENTS FILE
+RIMTBL(ZWHICH)	; PUT ALL PATIENT IN RIMTBL ZWHICH INTO THE CCR ELEMENTS FILE
  ;
  I '$D(RIMBASE) D ASETUP^C0CRIMA ; FOR COMMAND LINE CALLS
@@ -39,5 +39,5 @@
  Q
  ;
-PUTRIM(DFN,ZWHICH) ;DFN IS PATIENT , WHICH IS ELEMENT TYPE
+PUTRIM(DFN,ZWHICH)	;DFN IS PATIENT , WHICH IS ELEMENT TYPE
  ;
  S C0CGLB=$NA(^TMP("C0CRIM","VARS",DFN))
@@ -54,5 +54,5 @@
  Q
  ;
-PUTRIM1(DFN,ZZTYP,ZVARS) ; PUT ONE SECTION OF VARIABLES INTO CCR ELEMENTS
+PUTRIM1(DFN,ZZTYP,ZVARS)	; PUT ONE SECTION OF VARIABLES INTO CCR ELEMENTS
  ; ZVARS IS PASSED BY NAME AN HAS THE FORM @ZVARS@(1,"VAR1")="VAL1"
  S C0CX=0
@@ -78,5 +78,5 @@
  Q
  ;
-PUTELS(DFN,ZTYPE,ZOCC,ZVALS) ; PUT CCR VALUES INTO THE CCR ELEMENTS FILE
+PUTELS(DFN,ZTYPE,ZOCC,ZVALS)	; PUT CCR VALUES INTO THE CCR ELEMENTS FILE
  ; 171.101, ^C0CE  DFN IS THE PATIENT IEN PASSED BY VALUE
  ; ZTYPE IS THE NODE TYPE IE RESULTS,PROBLEMS PASSED BY VALUE
@@ -145,5 +145,5 @@
  Q
  ;
-UPDIE ; INTERNAL ROUTINE TO CALL UPDATE^DIE AND CHECK FOR ERRORS
+UPDIE	; INTERNAL ROUTINE TO CALL UPDATE^DIE AND CHECK FOR ERRORS
  K ZERR
  D CLEAN^DILF
@@ -156,5 +156,5 @@
  Q
  ;
-CHECK ; CHECKSUM EXPERIMENTS
+CHECK	; CHECKSUM EXPERIMENTS
  ;
  ;B
@@ -165,5 +165,5 @@
  Q
  ;
-CHKELS(DFN) ; CHECKSUM ALL ELEMENTS FOR  A PATIENT
+CHKELS(DFN)	; CHECKSUM ALL ELEMENTS FOR  A PATIENT
  ;
  S ZGLB=$NA(^TMP("C0CCHK"))
@@ -186,10 +186,10 @@
  Q
  ;
-DOIT(DFN) ; EXPERIMENT FOR TIMING CALLS USING mumps -dir DOIT^C0CFM2(DFN)
+DOIT(DFN)	; EXPERIMENT FOR TIMING CALLS USING mumps -dir DOIT^C0CFM2(DFN)
  D SETXUP
  D CHKELS(DFN)
  Q
  ;
-SETXUP ; SET UP ENVIRONMENT
+SETXUP	; SET UP ENVIRONMENT
  S DISYS=19
  S DT=3090325
@@ -224,5 +224,5 @@
  Q
  ; 
-PUTELSOLD(DFN,ZTYPE,ZOCC,ZVALS) ; PUT CCR VALUES INTO THE CCR ELEMENTS FILE
+PUTELSOLD(DFN,ZTYPE,ZOCC,ZVALS)	; PUT CCR VALUES INTO THE CCR ELEMENTS FILE
  ; 171.101, ^C0CE  DFN IS THE PATIENT IEN PASSED BY VALUE
  ; ZTYPE IS THE NODE TYPE IE RESULTS,PROBLEMS PASSED BY VALUE
@@ -278,5 +278,5 @@
  Q
  ;
-VARPTR(ZVAR,ZTYP) ;EXTRINSIC WHICH RETURNS THE POINTER TO ZVAR IN THE
+VARPTR(ZVAR,ZTYP)	;EXTRINSIC WHICH RETURNS THE POINTER TO ZVAR IN THE
  ; CCR DICTIONARY. IT IS LAYGO, AS IT WILL ADD THE VARIABLE TO
  ; THE CCR DICTIONARY IF IT IS NOT THERE. ZTYP IS REQUIRED FOR LAYGO
@@ -300,5 +300,5 @@
  Q ZVARN
  ;
-BLDTYPS ; ROUTINE TO POPULATE THE CCR NODE TYPES FILE (^C0CDIC(170.101,)
+BLDTYPS	; ROUTINE TO POPULATE THE CCR NODE TYPES FILE (^C0CDIC(170.101,)
  ; THE CCR DICTIONARY (^C0CDIC(170, ) HAS MOST OF WHAT'S NEEDED
  ;
@@ -308,5 +308,5 @@
  Q
  ;
-FIXSEC ;FIX THE SECTION FIELD OF THE CCR DICTIONARY.. IT HAS BEEN REDEFINED
+FIXSEC	;FIX THE SECTION FIELD OF THE CCR DICTIONARY.. IT HAS BEEN REDEFINED
  ; AS A POINTER TO CCR NODE TYPE INSTEAD OF BEING A SET
  ; THE SET VALUES ARE PRESERVED IN ^KBAI("SECTION") TO FACILITATE THIS
@@ -325,5 +325,5 @@
  Q
  ;
-SETFDA(C0CSN,C0CSV) ; INTERNAL ROUTINE TO MAKE AN FDA ENTRY FOR FIELD C0CSN
+SETFDA(C0CSN,C0CSV)	; INTERNAL ROUTINE TO MAKE AN FDA ENTRY FOR FIELD C0CSN
  ; TO SET TO VALUE C0CSV.
  ; C0CFDA,C0CC,C0CZX ARE ASSUMED FROM THE CALLING ROUTINE
@@ -335,5 +335,5 @@
  S C0CFDA(C0CSI,C0CZX_",",C0CSJ)=C0CSV
  Q
-ZFILE(ZFN,ZTAB) ; EXTRINSIC TO RETURN FILE NUMBER FOR FIELD NAME PASSED
+ZFILE(ZFN,ZTAB)	; EXTRINSIC TO RETURN FILE NUMBER FOR FIELD NAME PASSED
  ; BY VALUE IN ZFN. FILE NUMBER IS PIECE 1 OF C0CA(ZFN)
  ; IF ZTAB IS NULL, IT DEFAULTS TO C0CA
@@ -343,5 +343,5 @@
  E  S ZR=""
  Q ZR
-ZFIELD(ZFN,ZTAB) ;EXTRINSIC TO RETURN FIELD NUMBER FOR FIELD NAME PASSED
+ZFIELD(ZFN,ZTAB)	;EXTRINSIC TO RETURN FIELD NUMBER FOR FIELD NAME PASSED
  ; BY VALUE IN ZFN. FILE NUMBER IS PIECE 2 OF C0CA(ZFN)
  ; IF ZTAB IS NULL, IT DEFAULTS TO C0CA
@@ -352,5 +352,5 @@
  Q ZR
  ;
-ZVALUE(ZFN,ZTAB) ;EXTRINSIC TO RETURN VALUE FOR FIELD NAME PASSED
+ZVALUE(ZFN,ZTAB)	;EXTRINSIC TO RETURN VALUE FOR FIELD NAME PASSED
  ; BY VALUE IN ZFN. FILE NUMBER IS PIECE 3 OF C0CA(ZFN)
  ; IF ZTAB IS NULL, IT DEFAULTS TO C0CA