Index: cprs/branches/GUI-config/GUI_Config.dsk
===================================================================
--- cprs/branches/GUI-config/GUI_Config.dsk	(revision 493)
+++ cprs/branches/GUI-config/GUI_Config.dsk	(revision 542)
@@ -1,98 +1,54 @@
 [Closed Files]
-File_0=SourceModule,'P:\vista\tmg-cprs\BDK32\Source\wsockc.pas',0,1,1464,17,1475,0,0
-File_1=SourceModule,'P:\Vista\GUI-config\MainU.dfm',0,1,1,1,1,0,0
-File_2=SourceModule,'P:\vista\GUI-config\SkinFormU.pas',0,1,1,1,1,1,1
-File_3=SourceModule,'P:\Vista\GUI-config\LookupU.dfm',0,1,1,1,1,0,0
-File_4=SourceModule,'P:\vista\tmg-cprs\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,124,29,11,0,0
-File_5=SourceModule,'C:\Program Files\VISTA\BDK32_is_this_old\Source\Trpcb.pas',0,1,43,1,53,0,0
-File_6=SourceModule,'P:\vista\GUI-config\CPRS-Lib\ORNet.pas',0,1,188,21,195,0,0
-File_7=SourceModule,'C:\PROGRA~1\VISTA\BDK32\Source\VERGENCECONTEXTORLib_TLB.pas',0,1,1109,31,1120,0,0
-File_8=SourceModule,'c:\program files\borland\delphi7\source\vcl\OleCtrls.pas',0,1,86,12,92,0,0
-File_9=SourceModule,'c:\program files\borland\delphi7\source\rtl\Win\ShellAPI.pas',0,1,1,1,1,0,0
+File_0=SourceModule,'P:\vista\GUI-config\BDK32\Source\TRPCB.pas',0,1,1045,1,1059,0,0
+File_1=SourceModule,'P:\vista\GUI-config\CreateTemplateU.pas',0,1,140,11,145,0,0
+File_2=SourceModule,'P:\vista\GUI-config\SetSelU.pas',0,1,1,1,1,1,0
+File_3=SourceModule,'P:\vista\GUI-config\SubfilesU.pas',0,1,102,14,113,0,0
+File_4=SourceModule,'P:\vista\GUI-config\FMErrorU.pas',0,1,1,71,43,1,0
+File_5=SourceModule,'P:\vista\GUI-config\LookupU.pas',0,1,1,21,3,1,1
+File_6=SourceModule,'P:\vista\GUI-config\PostU.pas',0,1,70,1,1,1,0
+File_7=SourceModule,'P:\vista\GUI-config\BatchAddU.pas',0,1,459,3,480,0,0
 
 [Modules]
-Module0=P:\vista\GUI-config\GUI_Config.dpr
-Module1=P:\Vista\GUI-config\MainU.pas
-Module2=P:\vista\GUI-config\DebugU.pas
-Module3=P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas
-Module4=P:\Vista\GUI-config\SubfilesU.pas
-Module5=P:\Vista\GUI-config\CPRS-Lib\ORFn.pas
-Module6=P:\Vista\GUI-config\BatchAddU.pas
-Module7=P:\Vista\GUI-config\frmSplash.pas
-Module8=P:\vista\GUI-config\SkinFormU.dfm
-Module9=P:\vista\GUI-config\CreateTemplateU.pas
-Module10=P:\vista\GUI-config\EditTextU.pas
-Module11=P:\vista\GUI-config\PostU.pas
-Module12=P:\vista\GUI-config\SetSelU.pas
-Module13=P:\Vista\GUI-config\LookupU.pas
-Count=14
+Module0=P:\vista\GUI-config\MainU.pas
+Module1=P:\vista\GUI-config\frmSplash.pas
+Module2=P:\vista\GUI-config\AboutU.pas
+Module3=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
+Module4=P:\vista\GUI-config\SkinFormU.pas
+Module5=P:\vista\GUI-config\BDK32\Source\wsockc.pas
+Module6=P:\vista\GUI-config\GUI_Config.dpr
+Count=7
 EditWindowCount=1
 
+[P:\vista\GUI-config\MainU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\vista\GUI-config\frmSplash.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=1
+
+[P:\vista\GUI-config\AboutU.pas]
+ModuleType=SourceModule
+FormState=1
+FormOnTop=0
+
+[P:\Vista\GUI-config\CPRS-Lib\ORNet.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\SkinFormU.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
+[P:\vista\GUI-config\BDK32\Source\wsockc.pas]
+ModuleType=SourceModule
+FormState=0
+FormOnTop=0
+
 [P:\vista\GUI-config\GUI_Config.dpr]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\GUI-config\MainU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\vista\GUI-config\DebugU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\GUI-config\SubfilesU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\CPRS-Lib\ORFn.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\GUI-config\BatchAddU.pas]
-ModuleType=SourceModule
-FormState=1
-FormOnTop=0
-
-[P:\Vista\GUI-config\frmSplash.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\SkinFormU.dfm]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\CreateTemplateU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\EditTextU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\PostU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\vista\GUI-config\SetSelU.pas]
-ModuleType=SourceModule
-FormState=0
-FormOnTop=0
-
-[P:\Vista\GUI-config\LookupU.pas]
 ModuleType=SourceModule
 FormState=0
@@ -104,6 +60,6 @@
 
 [EditWindow0]
-ViewCount=14
-CurrentView=11
+ViewCount=7
+CurrentView=3
 View0=0
 View1=1
@@ -113,11 +69,4 @@
 View5=5
 View6=6
-View7=7
-View8=8
-View9=9
-View10=10
-View11=11
-View12=12
-View13=13
 CodeExplorer=CodeExplorer@EditWindow0
 MessageView=MessageView@EditWindow0
@@ -125,43 +74,29 @@
 Visible=1
 State=0
-Left=240
-Top=118
-Width=776
-Height=614
+Left=22
+Top=121
+Width=927
+Height=648
 MaxLeft=-4
-MaxTop=109
-ClientWidth=768
-ClientHeight=580
-LeftPanelSize=0
+MaxTop=104
+ClientWidth=919
+ClientHeight=614
+LeftPanelSize=140
 LeftPanelClients=CodeExplorer@EditWindow0
-LeftPanelData=00000400010000000C000000436F64654578706C6F726572C600000000000000027F01000000000000010000000000000000000000000100000000C600000000000000FFFFFFFF
+LeftPanelData=000004000000000000000000000000000000000000000000000100000000000000000C000000436F64654578706C6F726572FFFFFFFF
 RightPanelSize=0
-BottomPanelSize=0
-BottomPanelClients=WatchWindow,MessageView@EditWindow0
-BottomPanelData=00000400020000000B000000576174636857696E646F770B0000004D65737361676556696577000300000000000002CD0000000000000001000000008B010000000000000100000001580300000000000002000000006C000000000000000200000002BE0000000000000003000000000000000000000000030000000000000000000000000300000000AC0100000000000003000000005803000000000000030000000058030000000000000300000000580300000000000003000000005803000000000000030000000058030000000000000200000000D80000000000000001000000005803000000000000010000000058030000000000000100000000AC0100000000000001000000005803000000000000010000000058030000000000000100000000AC010000000000000100000000C401000000000000010000000066000000000000000100000000D7020000000000000100000000160300000000000001000000001603000000000000010000000016030000000000000100000000160300000000000001000000008B0100000000000001000000008B0100000000000001000000008B010000000000000100000000F8020000000000000100000000FD02000000000000010000000016030000000000000100000000160300000000000001000000007E01000000000000010000000100030000000000000200000000CD0000000B0000004D657373616765566965770200000000CD0000000000000001000000000003000000000000FFFFFFFF
+BottomPanelSize=85
+BottomPanelClients=MessageView@EditWindow0
+BottomPanelData=00000400000000009703000000000000025500000000000000010000000000000000000000000100000000AE020000000000000100000000970300000B0000004D65737361676556696577FFFFFFFF
 
 [View0]
-Module=P:\Vista\GUI-config\MainU.pas
+Module=P:\vista\GUI-config\GUI_Config.dpr
 CursorX=1
-CursorY=297
-TopLine=281
+CursorY=66
+TopLine=58
 LeftCol=1
 
 [View1]
-Module=P:\Vista\GUI-config\CPRS-Lib\ORCtrls.pas
-CursorX=22
-CursorY=343
-TopLine=336
-LeftCol=1
-
-[View2]
-Module=P:\vista\GUI-config\DebugU.pas
-CursorX=28
-CursorY=4
-TopLine=1
-LeftCol=1
-
-[View3]
-Module=P:\Vista\GUI-config\LookupU.pas
+Module=P:\vista\GUI-config\frmSplash.pas
 CursorX=1
 CursorY=1
@@ -169,72 +104,37 @@
 LeftCol=1
 
+[View2]
+Module=P:\vista\GUI-config\AboutU.pas
+CursorX=1
+CursorY=108
+TopLine=107
+LeftCol=1
+
+[View3]
+Module=P:\vista\GUI-config\MainU.pas
+CursorX=1
+CursorY=1498
+TopLine=1481
+LeftCol=1
+
 [View4]
-Module=P:\Vista\GUI-config\CPRS-Lib\ORFn.pas
-CursorX=38
-CursorY=41
-TopLine=1
+Module=P:\vista\GUI-config\BDK32\Source\wsockc.pas
+CursorX=1
+CursorY=1479
+TopLine=1471
 LeftCol=1
 
 [View5]
-Module=P:\Vista\GUI-config\SubfilesU.pas
-CursorX=9
-CursorY=97
-TopLine=89
+Module=P:\vista\GUI-config\SkinFormU.pas
+CursorX=24
+CursorY=124
+TopLine=113
 LeftCol=1
 
 [View6]
-Module=P:\vista\GUI-config\SetSelU.pas
-CursorX=9
-CursorY=32
-TopLine=24
-LeftCol=1
-
-[View7]
-Module=P:\vista\GUI-config\PostU.pas
-CursorX=9
-CursorY=42
-TopLine=34
-LeftCol=1
-
-[View8]
-Module=P:\vista\GUI-config\EditTextU.pas
-CursorX=22
-CursorY=64
-TopLine=56
-LeftCol=1
-
-[View9]
-Module=P:\vista\GUI-config\CreateTemplateU.pas
-CursorX=22
-CursorY=87
-TopLine=79
-LeftCol=1
-
-[View10]
-Module=P:\vista\GUI-config\SkinFormU.dfm
+Module=P:\Vista\GUI-config\CPRS-Lib\ORNet.pas
 CursorX=1
-CursorY=1
-TopLine=1
-LeftCol=1
-
-[View11]
-Module=P:\vista\GUI-config\GUI_Config.dpr
-CursorX=1
-CursorY=67
-TopLine=59
-LeftCol=1
-
-[View12]
-Module=P:\Vista\GUI-config\frmSplash.pas
-CursorX=20
-CursorY=32
-TopLine=24
-LeftCol=1
-
-[View13]
-Module=P:\Vista\GUI-config\BatchAddU.pas
-CursorX=30
-CursorY=83
-TopLine=74
+CursorY=330
+TopLine=358
 LeftCol=1
 
@@ -252,8 +152,8 @@
 Visible=0
 State=0
-Left=12
-Top=102
-Width=756
-Height=103
+Left=0
+Top=0
+Width=764
+Height=129
 MaxLeft=-1
 MaxTop=-1
@@ -265,6 +165,7 @@
 
 [Breakpoints]
-Count=1
-Breakpoint0='P:\Vista\GUI-config\MainU.pas',295,'',0,1,'',1,0,0,'',1,'','',''
+Count=2
+Breakpoint0='P:\vista\GUI-config\MainU.pas',990,'',0,1,'',1,0,0,'',1,'','',''
+Breakpoint1='P:\vista\GUI-config\MainU.pas',1878,'',0,1,'',1,0,0,'',1,'','',''
 
 [AddressBreakpoints]
@@ -274,26 +175,28 @@
 Create=1
 Visible=1
-State=0
-Left=6
-Top=2
-Width=1013
+State=2
+Left=0
+Top=0
+Width=1024
 Height=112
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=1005
+MaxWidth=1032
+MaxHeight=112
+ClientWidth=1024
 ClientHeight=78
 
 [ProjectManager]
 Create=1
-Visible=1
-State=0
-Left=172
-Top=159
-Width=689
-Height=561
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=681
-ClientHeight=535
+Visible=0
+State=0
+Left=403
+Top=294
+Width=429
+Height=383
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=421
+ClientHeight=357
 TBDockHeight=408
 LRDockWidth=623
@@ -321,5 +224,5 @@
 State=0
 Left=0
-Top=28
+Top=0
 Width=800
 Height=561
@@ -352,17 +255,17 @@
 Left=0
 Top=0
-Width=214
-Height=559
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=214
-ClientHeight=559
+Width=206
+Height=411
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=206
+ClientHeight=411
 TBDockHeight=527
 LRDockWidth=250
 Dockable=1
-SplitPos=114
+SplitPos=73
 ArrangeBy=Name
-SelectedItem=Visible
-ExpandedItems=Anchors,Options
+SelectedItem=Caption
+ExpandedItems=Anchors,Menu,Options
 HiddenCategories=Legacy
 
@@ -393,11 +296,11 @@
 Visible=0
 State=0
-Left=60
-Top=412
-Width=874
+Left=0
+Top=0
+Width=1024
 Height=210
 MaxLeft=-1
 MaxTop=-1
-ClientWidth=866
+ClientWidth=1016
 ClientHeight=184
 TBDockHeight=355
@@ -431,10 +334,10 @@
 Left=0
 Top=0
-Width=214
-Height=559
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=214
-ClientHeight=559
+Width=206
+Height=411
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=206
+ClientHeight=411
 TBDockHeight=527
 LRDockWidth=250
@@ -551,31 +454,31 @@
 [CodeExplorer@EditWindow0]
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=0
 Top=12
-Width=198
-Height=371
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=198
-ClientHeight=371
-TBDockHeight=371
-LRDockWidth=198
+Width=140
+Height=514
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=140
+ClientHeight=514
+TBDockHeight=305
+LRDockWidth=140
 Dockable=1
 
 [MessageView@EditWindow0]
 Create=1
-Visible=0
+Visible=1
 State=0
 Left=12
 Top=0
-Width=756
-Height=205
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=756
-ClientHeight=205
-TBDockHeight=205
+Width=907
+Height=85
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=907
+ClientHeight=85
+TBDockHeight=85
 LRDockWidth=443
 Dockable=1
@@ -589,12 +492,12 @@
 Visible=1
 State=0
-Left=6
-Top=118
-Width=230
-Height=614
-MaxLeft=-1
-MaxTop=-1
-ClientWidth=222
-ClientHeight=588
+Left=3
+Top=152
+Width=222
+Height=466
+MaxLeft=-1
+MaxTop=-1
+ClientWidth=214
+ClientHeight=440
 TBDockHeight=539
 LRDockWidth=258